%global vertag 3f1ee79d50cf

Name:             snakeyaml
Version:          1.13
Release:          %mkrel 3
Group:            Development/Java
Summary:          YAML parser and emitter for the Java programming language
License:          ASL 2.0
# http://code.google.com/p/snakeyaml
URL:              http://code.google.com/p/%{name}
Source0:          https://snakeyaml.googlecode.com/archive/v%{version}.zip#/%{name}-%{version}.zip

# Upstream has forked gdata-java and base64 and refuses [1] to
# consider replacing them by external dependencies.  Bundled libraries
# need to be removed and their use replaced by system libraries.
# See rhbz#875777 and http://code.google.com/p/snakeyaml/issues/detail?id=175
#
# Remove use of bundled Base64 implementation
Patch0:           0001-Replace-bundled-base64-implementation.patch
# We don't have gdata-java in Fedora any longer, use commons-codec instead
Patch1:           0002-Replace-bundled-gdata-java-client-classes-with-commo.patch

BuildArch:        noarch

BuildRequires:  maven-local
BuildRequires:  mvn(biz.source_code:base64coder)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(com.mycila.maven-license-plugin:maven-license-plugin)
BuildRequires:  mvn(joda-time:joda-time)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.sourceforge.cobertura:cobertura)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-changes-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-eclipse-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.velocity:velocity)
BuildRequires:  mvn(org.springframework:spring-core)

%description
SnakeYAML features:
    * a complete YAML 1.1 parser. In particular,
      SnakeYAML can parse all examples from the specification.
    * Unicode support including UTF-8/UTF-16 input/output.
    * high-level API for serializing and deserializing
      native Java objects.
    * support for all types from the YAML types repository.
    * relatively sensible error messages.


%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{vertag}
%patch0 -p1
%patch1 -p1

%mvn_file : %{name}

%pom_remove_plugin org.codehaus.mojo:cobertura-maven-plugin
%pom_add_dep net.sourceforge.cobertura:cobertura:any:test
sed -i "/<artifactId>spring</s/spring/&-core/" pom.xml
rm -f src/test/java/examples/SpringTest.java

# Replacement for bundled gdata-java-client
%pom_add_dep commons-codec:commons-codec

# remove bundled stuff
rm -rf target
rm -rf src/main/java/org/yaml/snakeyaml/external

# convert CR+LF to LF
sed -i 's/\r//g' LICENSE.txt

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt




%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 1.13-3.mga4
+ Revision: 565292
- Rebuild against fixed maven-eclipse-plugin

* Tue Oct 22 2013 umeabot <umeabot> 1.13-2.mga4
+ Revision: 541287
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.13-1.mga4
+ Revision: 495454
- New version

* Fri Sep 27 2013 dmorgan <dmorgan> 1.11-3.mga4
+ Revision: 487886
- Replace bundled base64 implementation
  Explain gdata-java and base64 bundling situation
  Build with xmvn

* Mon Jan 14 2013 umeabot <umeabot> 1.11-2.mga3
+ Revision: 382245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.11-1.mga3
+ Revision: 325867
- New version

* Sat Feb 25 2012 gil <gil> 1.9-1.mga2
+ Revision: 214933
- update to 1.9

* Mon Dec 26 2011 gil <gil> 1.8-1.mga2
+ Revision: 187912
- various build fix

* Wed Jul 20 2011 dmorgan <dmorgan> 1.8-0.mga2
+ Revision: 127299
- Remove wrong spec file
- Revert to our previous spec file
- Add missing file
- Sync with fedora

  + gil <gil>
    - imported package snakeyaml


* Mon Jun 13 2011 gil <gil> 1.8-0.%%mkrel
- initial rpm